Page MenuHomePhabricator

singlehead: introduce option to restrict to public changes
ClosedPublic

Authored by joerg.sonnenberger on Dec 5 2020, 5:36 PM.

Details

Summary

The new experimental.single-head-per-branch:public-changes-only option
restricts the single-head-per-branch filter to public changesets. This
is useful when serving one repository with different views as publishing
and non-publishing repository.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare requested changes to this revision.Dec 7 2020, 5:11 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/localrepo.py
2258

filter shadows the Python built-in func, please pick another name

This revision now requires changes to proceed.Dec 7 2020, 5:11 AM
Alphare accepted this revision.Dec 7 2020, 11:52 AM
pulkit accepted this revision.Dec 10 2020, 3:44 AM
This revision is now accepted and ready to land.Dec 10 2020, 3:44 AM